Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001953Mac OS X Inform application[IDEs] User Interfacepublic2016-09-22 06:542016-11-30 12:54
Reporterparkcheolsu 
Assigned Totoby 
PrioritynormalSeverityseriousReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSmacOSOS Version10.12
Product Version6M62 
Target VersionFixed in Version 
Summary0001953: The story tab is blank (MacOS 10.12 Sierra)
DescriptionAfter clicking the Go button on any story, I see "Translation succeeded" and the Story tab is selected, except the pane is blank. There isn't any error message.
Minimal Source Text To Reproduce
"Untitled" by David Scott

Example Location is a room. 
Additional InformationI first noticed this issue in the beta of macOS Sierra on my MacBook laptop, but decided to wait until the OS was out of beta. After macOS Sierra was released this week, I checked again, but this time on my desktop that wasn't running the beta. I verified that Inform worked correctly in the previous version, El Capitan, Mac OS X 10.11. I then upgraded to macOS Sierra, 10.12, and saw the same issue as on beta.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004564)
zarf (developer)
2016-09-28 07:21

Confirmed.

This is a general CocoaGlk bug. It affects all versions of Inform (tested 6M62, 6L38, 6L02, 6G60) and also the elderly Zoom application.
(0004565)
zarf (developer)
2016-09-28 07:24

I don't see any error messages in the MacOS console.

The game file is being compiled correctly (Build/output.ulx exists); it's purely a display issue.
(0004598)
zarf (developer)
2016-11-23 10:56

This has been marked "resolved", and I see fixes in https://github.com/TobyLobster/Inform/commits/master [^] , but no updated build has been posted. What's going on?

- Issue History
Date Modified Username Field Change
2016-09-22 06:54 parkcheolsu New Issue
2016-09-28 07:20 zarf Summary The story tab is blank after running any story, but there isn't any error reported. => The story tab is blank (MacOS 10.12 Sierra)
2016-09-28 07:21 zarf Note Added: 0004564
2016-09-28 07:21 zarf Status new => confirmed
2016-09-28 07:24 zarf Note Added: 0004565
2016-10-08 10:18 toby Status confirmed => resolved
2016-10-08 10:18 toby Resolution open => fixed
2016-10-08 10:18 toby Assigned To => toby
2016-11-23 10:56 zarf Note Added: 0004598
2016-11-30 12:54 dkiang Issue Monitored: dkiang


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker